CircuitBreakingException
Date: 2017-02-08

org.apache.commons.lang3.concurrent

## Class CircuitBreakingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.lang3.concurrent.CircuitBreakingException

- All Implemented Interfaces:
    java.io.Serializable

      public class CircuitBreakingException
      extends java.lang.RuntimeException

  An exception class used for reporting runtime error conditions related to circuit breakers.

  Since:
    3.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CircuitBreakingException()` Creates a new, uninitialized instance of `CircuitBreakingException`.
    `CircuitBreakingException(java.lang.String message)` Creates a new instance of `CircuitBreakingException` and initializes it with the given message.
    `CircuitBreakingException(java.lang.String message, java.lang.Throwable cause)` Creates a new instance of `CircuitBreakingException` and initializes it with the given message and cause.
    `CircuitBreakingException(java.lang.Throwable cause)` Creates a new instance of `CircuitBreakingException` and initializes it with the given cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CircuitBreakingException

          public CircuitBreakingException()

      Creates a new, uninitialized instance of `CircuitBreakingException`.

    - #### CircuitBreakingException

          public CircuitBreakingException(java.lang.String message,
                                  java.lang.Throwable cause)

      Creates a new instance of `CircuitBreakingException` and initializes it with the given message and cause.
      Parameters:
        `message` - the error message
        `cause` - the cause of this exception

    - #### CircuitBreakingException

          public CircuitBreakingException(java.lang.String message)

      Creates a new instance of `CircuitBreakingException` and initializes it with the given message.
      Parameters:
        `message` - the error message

    - #### CircuitBreakingException

          public CircuitBreakingException(java.lang.Throwable cause)

      Creates a new instance of `CircuitBreakingException` and initializes it with the given cause.
      Parameters:
        `cause` - the cause of this exception